### Method

# Gdk Surface get_device_cursor

#### Declaration [src]

    GdkCursor*
    gdk_surface_get_device_cursor (
      GdkSurface* surface,
      GdkDevice* device
    )

#### Description [src]

Retrieves a `GdkCursor` pointer for the `device` currently set on the specified `GdkSurface`.

If the return value is `NULL` then there is no custom cursor set on the specified surface, and it is using the cursor for its parent surface.

Use `gdk_surface_set_cursor()` to unset the cursor of the surface.

#### Parameters

`device`

  Type: `GdkDevice`

  A pointer `GdkDevice`

  The data is owned by the caller of the method.

#### Return value

Type: `GdkCursor`

A `GdkCursor`

The data is owned by the instance.
The return value can be `NULL`.